curl -X POST https://zeplo.ai/api/conversations \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID" \
-H "Content-Type: application/json" \
-d '{
"channelId": "647015955153740",
"contactId": 5,
"tags": ["sales"]
}'
{
"success": true,
"data": {
"id": 15,
"channelId": "647015955153740",
"contactId": 5,
"status": "open",
"assignedTo": null,
"unreadCount": 0,
"tags": ["sales"],
"createdAt": "2026-01-15T12:00:00Z"
}
}
Conversations
POST Create Conversation
Start a new conversation with a contact.
POST
/
api
/
conversations
curl -X POST https://zeplo.ai/api/conversations \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID" \
-H "Content-Type: application/json" \
-d '{
"channelId": "647015955153740",
"contactId": 5,
"tags": ["sales"]
}'
{
"success": true,
"data": {
"id": 15,
"channelId": "647015955153740",
"contactId": 5,
"status": "open",
"assignedTo": null,
"unreadCount": 0,
"tags": ["sales"],
"createdAt": "2026-01-15T12:00:00Z"
}
}
Create Conversation
POST /api/conversations
Create a new conversation with a contact on a specific channel.
Headers
string
required
Your API key
string
required
Your API secret key
string
required
WhatsApp channel ID
curl -X POST https://zeplo.ai/api/conversations \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID" \
-H "Content-Type: application/json" \
-d '{
"channelId": "647015955153740",
"contactId": 5,
"tags": ["sales"]
}'
Request body
string
required
WhatsApp channel ID.
integer
required
Contact ID.
string
Initial status (default:
open).integer
Assign to team member.
string[]
Conversation tags.
object
Custom metadata.
{
"success": true,
"data": {
"id": 15,
"channelId": "647015955153740",
"contactId": 5,
"status": "open",
"assignedTo": null,
"unreadCount": 0,
"tags": ["sales"],
"createdAt": "2026-01-15T12:00:00Z"
}
}
